%define  patch_name kernel-feat-drivers-video-splash

Name: %patch_name
Version: 3.0.7
Release: alt16
Summary: %patch_name kernel patch - framebuffer splash screen
License: GPL
Group: Development/Other
BuildArch: noarch

%source 1	2.4_bootsplash-3.0.7-2.4.22-alt.diff			2.4

# http://www.bootsplash.de/files/bootsplash-3.1.6-2.6.12.diff
%source 2	2.6_bootsplash-3.1.6-2.6.12.diff			2.6

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildRequires: kernel-build-tools
URL: http://www.bootsplash.de/

Obsoletes: kernel-patch-splash 

%description
Splash screen patch from www.bootsplash.org

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 3.0.7-alt16
- Updated patch for kernel 2.6.12.

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 3.0.7-alt15
- Updated patch for kernel 2.6.11.

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 3.0.7-alt14
- Updated patch for kernel 2.6.10.

* Mon Nov 29 2004 Sergey Vlasov <vsu@altlinux.ru> 3.0.7-alt13
- Updated 2.4 patch for compatibility with new kernel-fix-security.

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt12
- updated patch for 2.6.9

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt11
- updated patch for 2.6.8.1

* Wed Jun 23 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt10
- updated patch for 2.6.7

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt9
- updated patch for 2.6.5

* Mon Mar 22 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt8
- updated patch for 2.6 kernel from gentoo (with fixed kernel oops)

* Wed Feb 18 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt7
- update 2.6 patch for 2.6.3 kernel

* Mon Feb 09 2004 Anton Farygin <rider@altlinux.ru> 3.0.7-alt6
- patch for 2.6 added

* Wed Sep 10 2003 Rider <rider@altlinux.ru> 3.0.7-alt5
- include all patches dirs into package

* Mon Sep 08 2003 Anton Farygin <rider@altlinux.ru> 3.0.7-alt4
- buildreq added

* Sun Jun 15 2003 Peter Novodvorsky <nidd@altlinux.com> 3.0.7-alt3
- updated patch to meet up with 2.4.21 kernel

* Thu Jun 12 2003 Peter Novodvorsky <nidd@altlinux.com> 3.0.7-alt2
- fixed permissions on patch

* Fri Apr 18 2003 Peter Novodvorsky <nidd@altlinux.com> 3.0.7-alt1
- adopting new kernel policy.

* Sat Apr 12 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.20-alt2
- apply patch in cycle so it doesn't run cat|patch if no PATCH_FILES
  defined. (thanks to ed)

* Tue Apr 01 2003 Peter Novodvorsky <nidd@altlinux.com> 2.4.20-alt1
- initial release


